Bug 711873 - Review Request: trytond-account-stock-continental - account-stock-continental module for Tryton
Review Request: trytond-account-stock-continental - account-stock-continental...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-08 16:10 EDT by Dan Horák
Modified: 2012-11-21 14:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-21 14:51:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2011-06-08 16:10:49 EDT
Spec URL: http://fedora.danny.cz/tryton/trytond-account-stock-continental.spec
SRPM URL: http://fedora.danny.cz/tryton/trytond-account-stock-continental-2.0.0-1.fc16.src.rpm

Description:
account-stock-continental module for Tryton
Comment 1 Cristian Ciupitu 2011-06-10 06:41:32 EDT
MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
OK, alhough it might be a good idea not to package the tests if possible.
$ rpmlint trytond-account-stock-continental*
trytond-account-stock-continental.noarch: W: summary-not-capitalized C account-stock-continental module for Tryton
trytond-account-stock-continental.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/trytond/modules/account_stock_continental/tests/test_account_stock_continental.py 0644L /usr/bin/env
trytond-account-stock-continental.src: W: summary-not-capitalized C account-stock-continental module for Tryton
2 packages and 1 specfiles checked; 1 errors, 2 warnings.

MUST: The package must be named according to the Package Naming Guidelines .
OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK

MUST: The package must meet the Packaging Guidelines .
OK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK

MUST: The License field in the package spec file must match the actual license. [3]
OK, but please ask upstream to update the LICENSE file. It has the text for GPLv2 right now.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK

MUST: The spec file must be written in American English. [5]
OK

MUST: The spec file for the package MUST be legible. [6]
OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
OK http://koji.fedoraproject.org/koji/taskinfo?taskID=3123075

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
N/A

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
N/A

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
N/A

MUST: Packages must NOT bundle copies of system libraries.[11]
OK

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
N/A

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
OK

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
OK

MUST: Each package must consistently use macros. [16]
OK

MUST: The package must contain code, or permissable content. [17]
OK

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
OK

MUST: Header files must be in a -devel package. [19]
N/A

MUST: Static libraries must be in a -static package. [20]
N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
N/A

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
N/A

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
N/A

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
N/A

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK

MUST: All filenames in rpm packages must be valid UTF-8. [24]
OK


SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
N/A

SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
N/A

SHOULD: The reviewer should test that the package builds in mock. [27]
OK http://koji.fedoraproject.org/koji/taskinfo?taskID=3123075

SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
OK

SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
TODO I don't have Trytond nor Fedora 16. Please ask someone else to do the testing especially if you're in a hurry.

SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
N/A

SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
N/A

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [30]
N/A

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. [31]
N/A

SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.[32]
NOT. Please include the doc subdirectory.
Comment 2 Dan Horák 2011-06-10 10:14:38 EDT
Updated Spec URL: http://fedora.danny.cz/tryton/trytond-account-stock-continental.spec
Updated SRPM URL:
http://fedora.danny.cz/tryton/trytond-account-stock-continental-2.0.0-1.fc16.src.rpm

ChangeLog:
- include doc directory as %doc
- the LICENSE text will updated by upstream in next release, binding is what's
written in the COPYRIGHT file (IANAL)
Comment 3 Cristian Ciupitu 2011-06-10 22:32:59 EDT
You forgot to put the right src.rpm link :-) I'll assume it's http://fedora.danny.cz/tryton/trytond-account-stock-continental-2.0.0-2.fc16.src.rpm .

The LICENSE file does say that it's GPLv2 and not v3 and COPYRIGHT file mentions that the license text is published FSF, so I don't see a showstopper in this. As far as I can see it, if someone want the text of the GPLv3 license he/she can get it from FSF.
Regarding doc I must admit that the 2 %doc lines look odd, but nevertheless I
consider the spec fine.
The koji scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=3124948 .

After I or someone else tests the package, I'll approve it.
Comment 4 Michel Alexandre Salim 2012-06-13 05:54:01 EDT
Same as #711872 - Cristian, let me know if you're still interested, and Dan, need an update to the latest versions. Thanks!
Comment 5 Cristian Ciupitu 2012-06-13 08:01:21 EDT
Yes, I could do another review, but I have only an old Fedora version available (16) again, so I don't think I'll be able to do the testing.
Comment 7 Cristian Ciupitu 2012-09-20 13:46:31 EDT
It seems I was and I'm still going to be offline for a longer period than I was expecting, so I'm removing myself from the "assigned to" field in case someone else wants to do this review.
Comment 8 Michel Alexandre Salim 2012-09-28 02:38:36 EDT
Will do the review this weekend.
Comment 9 Dan Horák 2012-10-07 03:58:01 EDT
Updated Spec URL: http://fedora.danny.cz/tryton/modules/trytond-account-stock-continental.spec
Updated SRPM URL: http://fedora.danny.cz/tryton/modules/trytond-account-stock-continental-2.4.2-3.fc18.src.rpm

Changelog:
- remove upstream egginfo so it gets rebuilt
Comment 10 Michel Alexandre Salim 2012-11-16 21:06:44 EST
Ah, apologies for the delay reviewing.

Two little issues:
- you probably don't need to include INSTALL as part of the documentation, it looks like it solely contains installation instructions

- There are some unit tests bundled with the package, but they are not run


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/michel/sources/fedora/reviews/711873-trytond-
     account-stock-continental/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 51200 bytes in 6 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep
     Note: Cannot find sources under BUILD (using prebuilt sources?)
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (trytond_account_stock_continental-2.4.2.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: trytond-account-stock-continental-2.4.2-3.fc18.src.rpm
          trytond-account-stock-continental-2.4.2-3.fc18.noarch.rpm
trytond-account-stock-continental.src: W: summary-not-capitalized C account-stock-continental module for Tryton
trytond-account-stock-continental.noarch: W: summary-not-capitalized C account-stock-continental module for Tryton
trytond-account-stock-continental.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/trytond/modules/account_stock_continental/tests/test_account_stock_continental.py 0644L /usr/bin/env
trytond-account-stock-continental.noarch: W: install-file-in-docs /usr/share/doc/trytond-account-stock-continental-2.4.2/INSTALL
2 packages and 0 specfiles checked; 1 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint trytond-account-stock-continental
trytond-account-stock-continental.noarch: W: summary-not-capitalized C account-stock-continental module for Tryton
trytond-account-stock-continental.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/trytond/modules/account_stock_continental/tests/test_account_stock_continental.py 0644L /usr/bin/env
trytond-account-stock-continental.noarch: W: install-file-in-docs /usr/share/doc/trytond-account-stock-continental-2.4.2/INSTALL
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
trytond-account-stock-continental-2.4.2-3.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    tryton(kernel) = 2.4
    trytond-account-product
    trytond-stock



Provides
--------
trytond-account-stock-continental-2.4.2-3.fc18.noarch.rpm:
    
    trytond-account-stock-continental = 2.4.2-3.fc18



MD5-sum check
-------------
http://downloads.tryton.org/2.4/trytond_account_stock_continental-2.4.2.tar.gz :
  CHECKSUM(SHA256) this package     : af4634a485e46619f44d172d1b2e6e281a8c80f520294ed364c3a790826b7acd
  CHECKSUM(SHA256) upstream package : af4634a485e46619f44d172d1b2e6e281a8c80f520294ed364c3a790826b7acd


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -m fedora-18-x86_64 -b 711873
Comment 11 Dan Horák 2012-11-17 05:19:06 EST
Updated Spec URL: http://fedora.danny.cz/tryton/modules/trytond-account-stock-continental.spec
Updated SRPM URL: http://fedora.danny.cz/tryton/modules/trytond-account-stock-continental-2.4.2-4.fc18.src.rpm

Changelog:
- INSTALL not used as %doc


Regarding the unit tests I was asked by upstream to include them in the packages.
Comment 12 Michel Alexandre Salim 2012-11-17 11:52:40 EST
(In reply to comment #11)
> Regarding the unit tests I was asked by upstream to include them in the
> packages.

To *not* include them, you mean? Ah well, if they (or you) have reasons for not doing that, then that's fine (just wanted to make sure it's not an unintentional oversight).

Package is APPROVED
Comment 13 Dan Horák 2012-11-18 15:46:23 EST
Thanks for review. The tests can't be easily run during the build, but upstream still wants them included in the binary package.

New Package SCM Request
=======================
Package Name: trytond-account-stock-continental
Short Description: account-stock-continental module for Tryton
Owners: sharkcz
Branches: F-16 F-17 F-18 EL-6
InitialCC:
Comment 14 Jon Ciesla 2012-11-19 06:06:12 EST
Git done (by process-git-requests).
Comment 15 Dan Horák 2012-11-21 14:51:19 EST
imported and built

Note You need to log in before you can comment on or make changes to this bug.